WEECHAT(1)

NAME
weechat-curses - Wee Enhanced Environment for Chat (Curses version)

SYNOPSIS
weechat-curses [option...] [plugin:option...]

DESCRIPTION
Fast, light and extensible chat client for many operating systems.
Everything can be done with a keyboard. It is customizable and extensible with scripts.
It is compliant with IRC RFCs 1459, 2810, 2811, 2812, and 2813.

OPTIONS

-a, --no-connect
    disable auto-connect to servers at startup

-c, --colors
    display default colors in terminal

-d, --dir <dir>
    set WeeChat home dir

-h, --help
    display summary of options

-k, --keys
    display default keys

-l, --license
    display program license

-p, --no-plugin
    don't load any plugin at startup

-r, --run-command
    run command(s) after startup (many commands can be separated by semicolons)

-s, --no-script
    don't load any script at startup

-v, --version
    display WeeChat version

PLUGIN OPTIONS
Options for plugins depend on plugins, you can look at plugins documentation on WeeChat website for more information.

For example, with irc plugin, you can connect to temporary server with an url like:
    irc[6][s]://[[nickname][:password]@]server[:port][/#channel1[,#channel2...]]

To join WeeChat IRC channel support with nick "mynick":
    irc://mynick@irc.freenode.net/#weechat

IPv6 address can be enclosed in brackets to add a port after address, for example:
    irc://mynick@[2001:db8:0:85a3::ac1f:8001]:6668/#test

FILES

$HOME/.weechat/weechat.conf
    main WeeChat configuration file

$HOME/.weechat/plugins.conf
    plugins configuration file

$HOME/.weechat/alias.conf
    configuration file for alias plugin

$HOME/.weechat/aspell.conf
    configuration file for aspell plugin

$HOME/.weechat/charset.conf
    configuration file for charset plugin

$HOME/.weechat/irc.conf
    configuration file for IRC plugin

$HOME/.weechat/logger.conf
    configuration file for logger plugin

$HOME/.weechat/relay.conf
    configuration file for relay plugin

$HOME/.weechat/rmodifier.conf
    configuration file for rmodifier plugin

$HOME/.weechat/xfer.conf
    configuration file for xfer plugin

$HOME/.weechat/weechat.log
    WeeChat log file

LICENSE
Copyright (C) 2003-2013 Sebastien Helleu <flashcode@flashtux.org>
WeeChat is distributed under the GNU General Public License, version 3. Please read the COPYING file for more information.

BUGS
Please report bugs or feature requests at Savannah website:
- Bugs: http://savannah.nongnu.org/bugs/?group=weechat
- Feature requests: http://savannah.nongnu.org/task/?group=weechat

AUTHOR
WeeChat is written by Sebastien Helleu <flashcode@flashtux.org>
Web: http://www.weechat.org/